Search the Community
Showing results for tags 'layer'.
-
Hello. Is it possible to write a lisp routine that could get all elements in model space, take whatever layers they are on, and extract all the layer properties into a spreadsheet? I have attached a sample cad file replicated to what I need to do. so basically, we get a raw cad file whic...
-
Dear All, Im Trying Create Layer with Dimension Style and selected dimension change layer name but not working properly. plase help me completed code . (defun c:Test-11 () (setvar "cmdecho" 0) (setvar "CELTSCALE" 3) ;;------------------------------------ Create Layer --------------...
-
Quick and Easy LISP to change layer colors NEEDED. Thanks
tmelancon posted a topic in AutoLISP, Visual LISP & DCL
I am quite busy, of course, like everyone, I have loads of work needing to get done so I thought I would make this quick post. Hopefully someone with the available time can help out! I basically need a simple routine to change colors from our old standards to our new standards. I am sure it is m... -
Offset LISP using VLA-OFFSET & VLA-PUT-LAYER... Need Help
tmelancon posted a topic in AutoLISP, Visual LISP & DCL
Hello, I currently use a routine that offsets a line in both directions based on a specified distance in the routine. After we run the command we usually have to select the two offset lines and put them on a specific layer, in this case "Structure". I am trying to just add to the routine so the... -
Can't Find Layer Hidden In Unknown Block
"Mitch" posted a topic in AutoCAD Drawing Management & Output
I received a drawing that contains a layer in the manager box. But when I attempted to Quick Select that layer, the result returns as "0" and this same layer cannot be deleted, since the message tells me that layers with objects cannot be deleted. I thawed all layers and still get "0" and the layer... -
At my job, i have a very tedious job of changing layers from proposed to existing and vice versa our layer setup is very basic "LayerName"=existing layer "LayerName-PR"=Proposed layer. i have recently bought a book to to learn AutoLisp and I've gotten the basic concept. I know that i want to s...
-
How to find the layer of an object located in a locked layer?
khoshravan posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I have an object and I want to turn its layer off but it is locked or anything else which I can’t select the object and find its layer. Due to lots of layers I can’t try one-by-one. What is the best way to fnd its layer? -
ACAD doesn't accept to change the color
khoshravan posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Color of an Object, in a layer is not ‘ByLayer’. I try to change to ‘by layer’ through object properties but it doesn’t accept and keeps the color. What is the reason and how can I change it into another color? -
Lisp that displays the sum of numbers for each layer as a table
jukk08 posted a topic in AutoLISP, Visual LISP & DCL
Hi. I've asked a question like this before. But I couldn't solve it, so I asked for your help again. (Emmanuel Delay's lisp does not add up the numbers...) There are numbers(mtext) assigned to different layers. I'd like to get the total of each of these numbers by... -
I want to delete Xref-dependent layer. AutoCAd says I can't delete them. I want to delete them. How can I do that?
-
Move objects to new layer(s) based upon color??
ILoveMadoka posted a topic in AutoLISP, Visual LISP & DCL
First of all, I'm not asking anyone to write this for me... I'm asking if they can point me to an existing routine if it indeed exists.. I have a legacy drawing where everything is on Layer 0 and all the entities have colors assigned to them. I am looking for an existing...- 43 replies
-
HOW TO FIX-Layer manager window is not showing full scree
Sengna posted a topic in AutoCAD Drawing Management & Output
Does anyone know how can i fix the issue when my layer manager is not showing in full screen, it only shows in small window just like picture below, i tried to drag the bottom window down to see me but it won't let me. i closed dwg and re open but it was till the same. is there any command i need t... -
Hello, I am attempting to put together a LISP that creates a table of cumulative geometric properties of selected objects. I would like to be able to quantify Erosion and Sedimentation Control BMPs by layer for a cost estimation. Controls such as compost filter sock and orange construction...
- 8 replies
-
- properties
- lisp
-
(and 2 more)
Tagged with:
-
Hello, I'm searching to make a LISP, to change the layer of an attribute. Actually it in "TopoAlt" Layer, I like to change in "0" layer (or other) I thinked about DXF code but i don't find it with dumpallproperties. "Battman" command would be a good solution but I can't...
-
reverse layiso / layer isolate reversed / layhide
B.N. posted a topic in AutoLISP, Visual LISP & DCL
Hi, I would like a command to do the opposite of layiso. The layers of the selected entities should be turned off. Thanks in advance. -
We regularly export Civil3D files to CAD so we can use them in either CAD and Revit. We have run into a few problems with this workflow, since any xrefs that aren't detached before exporting become blocks in the CAD file. Additionally, Revit automatically enables all the layers when you insert the C...
-
Hello, I have a lot of drawings comming from an export f.e. Tekla stuctures. Those drawings have no layer structure, only thing to categorize entities are the colors. Is it possible to create layers per color and get the entities in that layer? Thanks in advance...
-
What is the problem? It's not working when am offsetting its not coming, (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq ilyrc(getstring(strcat "\Specify insulation layer <" (vl-princ-to-string ilyr)"> : "))) (setq layers (vla-get-Layers doc)) (...
- 5 replies
-
- offset
- vla-put-layer
-
(and 1 more)
Tagged with:
-
Hi everyone, I'm trying to write a code that will 1) set the current plot style to "BCR Plot Style.stb" 2) change all layer properties to plot style "Grayscale" I had this working at one point, but can't get it to work when I reopen, so it may just be a problem with how I'm loading the rou...
-
Find and correctly map wrong layers in ACAD group
martinle posted a topic in AutoLISP, Visual LISP & DCL
Find and correctly map wrong layers in ACAD group Hi, I have a problem with layers grouped in Acad groups. These layers are partially in the wrong group. Short description: There are several groups in my drawing in which different layers have to be grouped uniformly. Certain groups must... -
Hello everyone, I have been developing some routines for the pas 6 months, so my knowledge is not very high. Normally I manage to find answers online, thanks to all of you who share their knowledge, it's so helpful. I am writing a routine which would: Compare the...
-
hi, any way to improve below lisp? it create new layer and new viewport but after layerp command execute the layer color goes back to white and no plot becomes plot again. (defun c:vp() (command ".layer" "M" "viewport" "C" "8" "viewport" "P" "N" "viewport" "" "-VPORTS" pause...
-
VP color over write doesn't change nested blocks color
PrimeTimeAction posted a topic in AutoCAD Drawing Management & Output
Currently the view port color over write doesn't effect the colors of nested blocks. The nested blocks show the global color of the layer. Ideally VP color over write should behave same as changing global color of layer. Is there a way to achieve it (beside exploding the blocks to remove nestin... -
Layer palette size/location
rkmcswain posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
User is running AutoCAD 2017. Every so often after closing AutoCAD, and restarting it, the layer palette positions itself as shown in the screenshot with no user interaction. Even more bizarre, user was just given a NEW PC with a fresh install, and no "migration" was done. This still happens on new... -
(sssetfirst nil (ssget "_X" '((8 . "5")))) will select objects in layer 5 no problem but when i incorporate (getvar "CLAYER") to make: (sssetfirst nil (ssget "_X" '((8 . (getvar "CLAYER"))))) It comes back with error: ; error: bad SSGET list value It's probably just a simple fix (heck,...